#include <iostream>
#include <vector>
#include <string>
#include <algorithm>
#include <vector>

using namespace std;

void max(int num1, int num2);
void min(int num1, int num2);
int lunar_add1(int a, int b);
string int_to_string(int num);
int string_to_int(const string& str);
string lunar_multiply(const string& a, const string& b);

int main() {

    int num1, num2, result;
    
    cout << "Write num1 and num2" << endl;
    cin >> num1;
    cin >> num2;

    if (num1, num2 >= 10) {
        
        result = lunar_add1(num1, num2);
                
        string str_num1 = int_to_string(num1);
        string str_num2 = int_to_string(num2);

        string product = lunar_multiply(str_num1, str_num2);
    
        int result1 = string_to_int(product);
            
        cout << result << " " << result1 << endl;
    }
    else if (1 << num1, num2 << 9) {
        
        max(num1, num2);
        min(num1, num2);
        
    }

    
    return 0;
}

void max(int a, int b) {
    double result;
    //char symbol;
    
    if (a > b) {
        result = a;
    }
    else if (a < b) {
        result = b;
    }
    
    cout << result << endl;
}

void min(int a, int b) {
    double result;
    
    if (a < b) {
        result = a;
    }
    else if (a > b) {
        result = b;
    }
    
    cout << result << endl;
}

int lunar_add1(int a, int b) {
    string num1 = to_string(a);
    string num2 = to_string(b);
    string result = "";

    while (num1.size() < num2.size()) 
        num1 = "0" + num1;
    while (num2.size() < num1.size()) 
        num2 = "0" + num2;

    for (size_t i = 0; i < num1.size(); ++i) {
        char max_digit = max(num1[i], num2[i]);
        result += max_digit;
    }
    return stoi(result);
}

string int_to_string(int num) {
    return to_string(num);
}

int string_to_int(const string& str) {
    return stoi(str);
}

string lunar_add(const std::string& a, const std::string& b) {
    std::string result = "";
    int max_length = std::max(a.size(), b.size());
    
    std::string num1 = std::string(max_length - a.size(), '0') + a;
    std::string num2 = std::string(max_length - b.size(), '0') + b;

    for (int i = 0; i < max_length; ++i) {
        result += std::max(num1[i], num2[i]);
    }
    return result;
}

string lunar_multiply(const string& a, const string& b) {
    std::string result = "0"; 
    
    for (int i = a.size() - 1; i >= 0; --i) {
        string current_row = ""; 
        char digit_a = a[i];
       
        for (int j = b.size() - 1; j >= 0; --j) {
            char digit_b = b[j];
            current_row = min(digit_a, digit_b) + current_row;
        }

        current_row += string(a.size() - 1 - i, '0');

        result = lunar_add(result, current_row);
    }
    return result;
}